Skip to main content
`Ctrl`+`K`
scipy.interpolate.NdPPoly.

# __call__

NdPPoly.__call__(x, nu=None, extrapolate=None)

  Evaluate the piecewise polynomial or its derivative

  Parameters:
    x array-like

      Points to evaluate the interpolant at.

    nu tuple, optional

      Orders of derivatives to evaluate. Each must be non-negative.

    extrapolate bool, optional

      Whether to extrapolate to out-of-bounds points based on first and last intervals, or to return NaNs.

  Returns:
    y array-like

      Interpolated values. Shape is determined by replacing the interpolation axis in the original array with the shape of x.

  Notes

  Derivatives are evaluated piecewise for each polynomial segment, even if the polynomial is not differentiable at the breakpoints. The polynomial intervals are considered half-open, `[a, b)`, except for the last interval which is closed `[a, b]`.